export default function Field({ label, value, secret, disabled = false, readOnly = false }) {
  return (
    <label className="block">
      <span className="mb-2 block text-[12px] font-black text-muted">{label}</span>
      <input className="input-like" defaultValue={value} disabled={disabled} readOnly={readOnly} type={secret ? "password" : "text"} />
    </label>
  );
}
